//+------------------------------------------------------------------+
//|                                    Leledc-SsrcForce_Mtf.mq4      |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property indicator_separate_window
#property indicator_buffers  2
#property indicator_color1   Lime
#property indicator_width1 2
#property indicator_color2 Red
#property indicator_width2 2


extern int TimeFrame=60;
extern int    SnakeRange   =13; 
extern int    FilterPeriod =21; 
extern double MartFiltr    =2;
extern int    PriceConst   =6; 
extern int MaPeriod=8;
extern int MaMode=0;
extern double LevelsCross=0.90;




double ExtMapBuffer1[];
double ExtMapBuffer2[];
bool TurnedUp = false;
bool TurnedDown = false;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   
//---- indicator line
IndicatorBuffers(2);

    SetIndexStyle(0, DRAW_LINE);
   SetIndexStyle(1, DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexBuffer(1,ExtMapBuffer2);
SetLevelValue(0,LevelsCross);
SetLevelValue(1,-LevelsCross);

//---- name for DataWindow and indicator subwindow label   
   switch(TimeFrame)
   {
      case 1 : string TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe";
   } 
  }
//----
   return(0);
 
int start()
  {
   datetime TimeArray[];
   int    i,shift,limit,limit2,y=0,counted_bars=IndicatorCounted(),LastSignal;
    
// Plot defined timeframe on to current timeframe   
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   limit=Bars-counted_bars;
  if (limit2 < Bars-1 ) 
limit = Bars-1;

   for(i=0,y=0;i<limit;i++)
   {
   ExtMapBuffer1[i]=EMPTY_VALUE;
ExtMapBuffer2[i]=EMPTY_VALUE;

   if (Time[i]<TimeArray[y]) y++; 
   
   ExtMapBuffer1[i]=iCustom(NULL,TimeFrame,"Leledc-SsrcForce v1.3",SnakeRange,FilterPeriod,MartFiltr,PriceConst,MaPeriod,MaMode,LevelsCross,0,y);
   ExtMapBuffer2[i]=iCustom(NULL,TimeFrame,"Leledc-SsrcForce v1.3",SnakeRange,FilterPeriod,MartFiltr,PriceConst,MaPeriod,MaMode,LevelsCross,1,y);
   
   
     
}
   
  if (i> limit2) 
   limit2= i;

  
   return(0);
  }
//+------------------------------------------------------------------+